Subject: Re: [manet] #21 (aodvv2): Document hard to read

From: "manet issue tracker" <[email-masked]>
Date: Tue, 23 Dec 2014 22:25:39 -0000

#21: Document hard to read

Changes (by [email-masked]):

 * status:  new => closed
 * resolution:   => fixed

Comment:

 On 4/3/2014 4:46 PM, Abdussalam Baryun wrote:
 > I agree that that terminology can add aodvv2 packet definition but not
 needed.
 > The draft to use IP packet and aodvv2 packet if needed. My understanding
 is
 > that all packets in the draft are RFC5444 packets or aodvv2 packets, and
 > only if said IP packet. I think this was the method done in olsrv2 draft
 too.

 ============================================================================

 On 4/3/2014 10:57 PM, Henning Rogge wrote:
 > On Fri, Apr 4, 2014 at 1:46 AM, Abdussalam Baryun
 > <[email-masked]> wrote:
 >> I agree that that terminology can add aodvv2 packet definition but not
 >> needed.  The draft to use IP packet and aodvv2 packet if needed. My
 >> understanding is that all packets in the draft are RFC5444 packets or
 aodvv2
 >> packets, and only if said IP packet. I think this was the method done
 in
 >> olsrv2 draft too.
 >
 > If you take the protocol multiplexing capabilities of RFC5444 serious
 > there is no such thing as a "AODVv2 packet"... there are "AODVv2
 > messages" and "RFC5444 packets", which may contain messages from
 > multiple protocols (e.g. AODVv2 and NHDP messages in the same packet).

 ============================================================================

 On 4/4/2014 12:10 AM, Abdussalam Baryun wrote:
 >
 >
 > On Friday, April 4, 2014, Henning Rogge wrote:
 >
       ....
 >
 >     If you take the protocol multiplexing capabilities of RFC5444
 serious
 >     there is no such thing as a "AODVv2 packet"...
 >
 > The RFC5444 as I understood when I read it before that it was not
 mentioning
 > the way it was implemented or way of filling its formats. There was a
 > discussion in one WG meeting  between Teco and Thomas before submitting
 > packetbb draft, mentioning the missing issue, which the WG chair
 mentioned
 > that some one should volunteer to do that work. So IMO there may be no
 > thing agreed on in the WG about the general RFC5444 packet multiplexing.
 >
 >      there are "AODVv2
 >     messages" and "RFC5444 packets", which may contain messages from
 >     multiple protocols (e.g. AODVv2 and NHDP messages in the same
 packet).
 >
 > So I understand you suggest only one packet for all protocols and not
 having
 > AODVv2 packet.

 ============================================================================

 On 4/4/2014 12:53 AM, Ulrich Herberg wrote:
 > I think that what Henning describes is fairly well understood in the WG.
 > I have never heard anyone else having an issue with it. As Henning said
 > correctly, there are no AODVv2 packets, only RFC5444 packets that may
 > contain AODVv2 (and other) messages.

 ============================================================================

 On 4/4/2014 1:07 AM, Henning Rogge wrote:
 > There is also Appendix A of RFC5444 that explains the multiplexing part.

 ============================================================================

 On 4/4/2014 1:46 AM, Dearlove, Christopher (UK) wrote:
 > And RFC 5498 mandates its use on the manet port/protocol. So it is a
 > must get right.

 ============================================================================

 On 4/4/2014 1:10 PM, Abdussalam Baryun wrote:
 > In RFC5444 it mentions that each protocol defines its format. The
 RFC5444
 > is a general format for packets and messages.

 ============================================================================

 On 4/11/2014 4:40 PM, Charles E. Perkins wrote:

 > I will adjust the text to use "AODVv2 message" instead of "AODVv2
 packet"
 > whenever feasible, or use some other wording if "message" does not fit.

 ===========================================================================

 While readability issues may remain, the particular problem discussed in
 this
 issue has been resolved and further difficulties have not be observed.
 Additional readability issues should be identified as part of new issues,
 and
 it is proposed that this issue be closed.

-- 
-----------------------------------+------------------------------------
 Reporter:  [email-masked]  |       Owner:  [email-masked]
     Type:  defect                 |      Status:  closed
 Priority:  major                  |   Milestone:
Component:  aodvv2                 |     Version:
 Severity:  Active WG Document     |  Resolution:  fixed
 Keywords:                         |
-----------------------------------+------------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/manet/trac/ticket/21#comment:2>
manet <http://tools.ietf.org/manet/>